Subject: RE: Can't seem to get bash to work in NTEmacs
From: "Jeff Rancier" <[email-masked]>
To: "Eric Hanchrow" <[email-masked]>
Cc: "Emacs Help \(Windows\)" <[email-masked]>, "Cygwin" <[email-masked]>
Date: Mon, 15 Oct 2001 14:13:55 -0400

I tried the following in emacs -q, and it does work.

(setq exec-path (cons "C:/cygwin/bin" exec-path))
(setenv "PATH" (concat "C:\\cygwin\\bin;" (getenv "PATH")))
(setq process-coding-system-alist '(("bash" . undecided-unix)))
(setq w32-quote-process-args ?\")
(setq shell-file-name "c:/cygwin/bin/bash.exe")
(setenv "SHELL" shell-file-name)
(setq explicit-shell-file-name shell-file-name)
(add-hook 'comint-output-filter-functions
          'comint-strip-ctrl-m)

So I just need to somehow figure out what's stepping on what?

Jeff

-----Original Message-----
From: [email-masked]
[mailto:[email-masked]]On Behalf Of Eric Hanchrow
Sent: Friday, October 12, 2001 5:11 PM
To: Jeff Rancier
Subject: Re: Can't seem to get bash to work in NTEmacs

>>>>> "Jeff" == Jeff Rancier <[email-masked]> writes:

    Jeff> It doesn't find explicit-shell-filename?  Do I need to
    Jeff> minimally load a shell package?

You probably need to evaluate `(setq explicit-shell-filename
"c/cygwin/bin/bash.exe")' in the *scratch* buffer; now that you
mention it, I wouldn't expect `M-x set-variable' to work.

-- 
PGP Fingerprint: 3E7B A3F3 96CA 8958 ACC5  C8BD 6337 0041 C01C 5276

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/